#include <iostream>
using namespace std;
int main()
{
    int n;
    cin>>n;
    int a[n];
    double p[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
        cin>>p[i];
    }
    double maks=0;
    for(int i=0;i<n;i++)
    {
          double s=0;
          for(int j=0;j<n;j++)
            {
              if(p[j]-p[i]>=0)
                 s+=a[j];
            }
          s=s*p[i]/100;
          if(s>maks)
               maks=s;
    }
    cout<<maks;
    retrun 0;
}